namespace PkmnLib.Plugin.Gen7.Scripts.Side;

[Script(ScriptCategory.Side, "sticky_web")]
public class StickyWebEffect : Script, IScriptOnSwitchIn
{
    /// <inheritdoc />
    public void OnSwitchIn(IPokemon pokemon, byte position)
    {
        if (pokemon.IsFloating)
            return;
        pokemon.ChangeStatBoost(Statistic.Speed, -1, false, false);
    }
}